using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabaseClient
{
    public abstract class DatabaseFactory
    {
        public abstract DBClient Create();
    }

    class MysqlDatabaseFactory : DatabaseFactory
    {
        public override DBClient Create()
        {
            return new MysqlClient();
        }
    }

    class SqliteDatabaseFactory : DatabaseFactory
    {
        public override DBClient Create()
        {
            return new SqliteClient();
        }
    }

    class MssqlDatabaseFactory : DatabaseFactory
    {
        public override DBClient Create()
        {
            return new MssqlClient();
        }
    }
}
